> For the complete documentation index, see [llms.txt](https://docs.trustlesswork.com/trustless-work/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.trustlesswork.com/trustless-work/v1-pt/introducao/developer-resources/tipos/payloads/obter-escrows-por-funcao.md).

# Obter escrows por função

### Parâmetros

```typescript
/**
 * Obter Escrows do Indexador por Parâmetros de Papel
 */
export type GetEscrowsFromIndexerByRoleParams = {
  /**
   * Número da página. Paginação
   */
  page?: number;

  /**
   * Direção de ordenação. Ordenação
   */
  orderDirection?: "asc" | "desc";

  /**
   * Ordenar por propriedade. Ordenação
   */
  orderBy?: "createdAt" | "updatedAt" | "amount";

  /**
   * Criado em = data de início. Filtragem
   */
  startDate?: string;

  /**
   * Criado em = data de término. Filtragem
   */
  endDate?: string;

  /**
   * Valor máximo. Filtragem
   */
  maxAmount?: number;

  /**
   * Valor mínimo. Filtragem
   */
  minAmount?: number;

  /**
   * Está ativo. Filtragem
   */
  isActive?: boolean;

  /**
   * Escrow que você está procurando. Filtragem
   */
  title?: string;

  /**
   * ID do Engajamento. Filtragem
   */
  engagementId?: string;

  /**
   * Status do escrow de liberação única. Filtragem
   */
  status?: SingleReleaseEscrowStatus;

  /**
   * Tipo do escrow. Filtragem
   */
  type?: EscrowType;

  /**
   * Se verdadeiro, os escrows serão validados na blockchain para garantir a consistência dos dados.
   * Isso realiza uma etapa adicional de verificação para confirmar que os dados do escrow
   * retornados pelo indexador correspondem ao estado atual na blockchain.
   * Use isto quando precisar garantir as informações de escrow mais atualizadas e precisas.
   * Se você ativar este parâmetro, sua solicitação demorará mais para ser concluída.
   */
  validateOnChain?: boolean;

  /**
   * Papel do usuário. Obrigatório
   */
  role: Role;

  /**
   * Endereço do proprietário dos escrows. Se quiser obter todos os escrows de um papel específico, você pode usar este parâmetro. Mas com este parâmetro, você não pode usar o parâmetro signer.
   */
  roleAddress: string;
};

```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.trustlesswork.com/trustless-work/v1-pt/introducao/developer-resources/tipos/payloads/obter-escrows-por-funcao.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
